#!/usr/bin/perl
#
# (C) 2001-2002
#	Domsodi Gergely	<doome@uhulinux.hu>
#	Pozsar Balazs	<pozsy@uhulinux.hu>
#
# This file is originally part of the UHU-Linux distribution.
# Distributable under GPL v2.
#

# ----- Pragmatic modules -----------------------------------------------------
use strict;
use warnings;
use diagnostics;

# -----------------------------------------------------------------------------
package UHU::utf8;

use Unicode::MapUTF8 qw(to_utf8 from_utf8);

# ----- Exporter --------------------------------------------------------------
require Exporter;
our @ISA    = qw(Exporter);
our @EXPORT = qw(
t8 f8
);

# ----- General helper subs ---------------------------------------------------
sub t8($;$) {
	my ($text, $charset) = @_;

	$charset = 'ISO-8859-2' unless $charset;

	to_utf8(
		{
			-string  => $text,
			-charset => $charset
		}
	);
}

sub f8($;$) {
	my ($text, $charset) = @_;

	$charset = 'ISO-8859-2' unless $charset;

	from_utf8(
		{
			-string  => $text,
			-charset => $charset
		}
	);
}

# ----- Beatiful perl :) ------------------------------------------------------
1;
